# Instructions to run Summary Boosting on a dataset

1. Obtain access to GPT-3 from OpenAI.

2. Create a file named `.env` and set the variable `OPENAI_API_KEY` to your API key.

3. Execute the command `summary_boosting.py`.

```bash
$ python summary_boosting.py
```

4. Pass the dataset name and the name of the YAML file containing the parameters as arguments. The script loads the config file and the CSV data from the respective dataset directory.
```bash
$ run_experiment_s_boosting --dataset_name {dataset_name} --yml_file {yml_file}
```
By default, this command trains the summary boosting algorithm and saves the model and statistics under the `models/` directory. When the `--test` argument is used, the script calculates the testing error by loading the trained model.

Please ensure that you have properly configured the environment, set the necessary API key, and provided the arguments correctly before running the script.